# Method: projects.locations.certificateAuthorities.certificates.list

- [HTTP request](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.request_body)
- [Response body](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.ListCertificatesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.aspect)

Lists `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate`.

### HTTP request

`GET https://privateca.googleapis.com/v1beta1/{parent=projects/*/locations/*/certificateAuthorities/*}/certificates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the location associated with the `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate`, in the format `projects/*/locations/*/certificateauthorities/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `privateca.certificates.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Limit on the number of `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate` to include in the response. Further `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate` can subsequently be obtained by including the `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.ListCertificatesResponse.FIELDS.next_page_token` in a subsequent request. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` Optional. Pagination token, returned earlier via `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#body.ListCertificatesResponse.FIELDS.next_page_token`. |
| `filter` | `string` Optional. Only include resources that match the filter in the response. For details on supported filters and syntax, see [Certificates Filtering documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#filtering_support). |
| `orderBy` | `string` Optional. Specify how the results should be sorted. For details on supported fields and syntax, see [Certificates Sorting documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#sorting_support). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates/list#google.cloud.security.privateca.v1beta1.CertificateAuthorityService.ListCertificates`.

| JSON representation ||
|---|---|
| ``` { "certificates": [ { object (`https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `certificates[]` | ``object (`https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate`)`` The list of `https://docs.cloud.google.com/certificate-authority-service/docs/reference/rest/v1beta1/projects.locations.certificateAuthorities.certificates#Certificate`. |
| `nextPageToken` | `string` A token to retrieve next page of results. Pass this value in \[ListCertificatesRequest.next_page_token\]\[\] to retrieve the next page of results. |
| `unreachable[]` | `string` A list of locations (e.g. "us-west1") that could not be reached. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).